Support » Plugin: Clean Archives Reloaded » PHP 7 compatibility

  • I’m trying to switch to PHP 7 on Siteground, and their migration plugin has flagged the presence of a deprecated class constructor in this plugin:

    —————————————————————————
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    —————————————————————————
    44 | WARNING | Use of deprecated PHP4 style class constructor is not supported since PHP 7.
    —————————————————————————

    It’s just a warning, but are there any plans to fix this? I’ve just done it in my theme and it’s pretty easy to switch to __construct().

  • The topic ‘PHP 7 compatibility’ is closed to new replies.